Groups

Get Groups

GET
/groups

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Default20
offset?integer
Default0
filter[paymentCurrencyCode]?string

Keep only groups paid out in this currency

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/groups"
{  "total": 0,  "groups": [    {      "groupId": "string",      "name": "string",      "formula": "string",      "levels": [        {          "levelId": "string",          "groupId": "string",          "level": 0,          "formulaValue": "string",          "createTime": "2019-08-24T14:15:22Z",          "updateTime": "2019-08-24T14:15:22Z",          "uuid": "string"        }      ],      "tiers": [        {          "tierId": "string",          "groupId": "string",          "name": "string",          "ratio": "string",          "users": 0,          "volume": "string",          "createTime": "2019-08-24T14:15:22Z",          "updateTime": "2019-08-24T14:15:22Z",          "uuid": "string"        }      ],      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z",      "uuid": "string"    }  ]}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}